		@#if mle_exogenous==0
			varobs 	gam_YR_obs	
                    gam_YCo_obs
                    gam_C_obs	
                    gam_CG_obs
                    gam_I_obs	
					gam_HN_obs
					gam_WN_obs
                    stb_obs
					piM_obs        	
                    R_obs       

					@#if tcn_observed
                        piS_obs
                    @#else
                        rer_obs     
					@#endif

					
                    gam_Ystar_obs
					
                    pistar_obs
					piCostar_obs
			        piOstar_obs	
					
                    Rstar_obs	
                    xi_obs	
					
					@#if endo_commo
                        gam_ICo_obs
					@#endif
					
					@#if oil_mepco
                        piO_obs
					@#endif
					
					@#if agric_cons
                        piA_obs  
					@#endif

                        piZ_obs  

                    ;  		
		@#else
			varobs  Rstar_obs 
                    pistar_obs 
                    piCostar_obs 
                    piOstar_obs
					
                    ;
		@#endif	

	shocks;

	// Structural shocks -------------------------------------------------------------------

		 @#for x in exo_state_vars		 
			 var 	eps_@{x};   	stderr  	SIG_@{x};
		 @#endfor	
			
	// Measurement errors, calibrated ------------------------------------------------------

		@#if mle_exogenous==0			
			var		gam_YR_obs	;	stderr		sqrt(1.011660^2*0.1);
            var		gam_YCo_obs	;	stderr		sqrt(3.245221^2*0.1);
            var		gam_C_obs	;	stderr		sqrt(0.916491^2*0.1);
            var		gam_CG_obs	;	stderr		sqrt(1.350836^2*0.1);
            var		gam_I_obs	;	stderr		sqrt(3.749835^2*0.1);
			var		gam_WN_obs		;   stderr		sqrt(0.377166^2*0.1);
			var		gam_HN_obs		;   stderr		sqrt(1.372757942^2*0.1);
            var		stb_obs     ;	stderr		sqrt(5.170851^2*0.1);
			
			var		pistar_obs		;	stderr		sqrt(2.853547^2*0.1);
			var		piCostar_obs	;	stderr		sqrt(14.24336^2*0.1);
			var		piOstar_obs		;	stderr		sqrt(16.79808^2*0.1);			
			var		piM_obs			;	stderr		sqrt(4.467276^2*0.1); 
			
			var		R_obs       ;	stderr		sqrt(0.401122^2*0.0);

            @#if tcn_observed
                var		piS_obs     ;	stderr		sqrt(5.100537^2*0.1);            
            @#else
    			var		rer_obs     ;	stderr		sqrt(5.009308^2*0.1);            
            @#endif

            var		xi_obs      ;	stderr		sqrt(0.142413^2*0.1);

			@#if endo_commo
                var	gam_ICo_obs	;	stderr		sqrt(8.802372^2*0.1);
			@#endif
			
			@#if oil_mepco
                var	piO_obs     ;	stderr		sqrt(5.372165^2*0.1);
			@#endif
			
			@#if agric_cons
                var	piA_obs     ;	stderr		sqrt(1.389658^2*0.1);
            @#endif

                var		piZ_obs     ;	stderr		sqrt(0.488812^2*0.1);


		@#endif
	end;

